Page 73 of 124 FirstFirst ... 2363717273747583123 ... LastLast
Results 721 to 730 of 1236

Thread: ALSA Upgrade Script

  1. #721
    Join Date
    Aug 2006
    Beans
    110

    Re: ALSA Upgrade Script

    Quote Originally Posted by Temüjin View Post
    @bootdoc, you need the libasound-dev package. It should have been installed by the script.
    Thanks, That was it. I installed libasound-2 via synaptic and the everything compiled.

    But ran -i and got this:
    configure: error: required curses helper header not found

    alsa-utils-1.0.22 configure failed

  2. #722
    Join Date
    Jun 2007
    Beans
    11,488

    Re: ALSA Upgrade Script

    Quote Originally Posted by bootdoc View Post
    Thanks, That was it. I installed libasound-2 via synaptic and the everything compiled.

    But ran -i and got this:
    configure: error: required curses helper header not found

    alsa-utils-1.0.22 configure failed
    You should start over from the beginning, or at least, manually run the command to get the dependencies and then run the building/compilation phase again:
    Code:
    sudo apt-get -y install bzip2 build-essential module-assistant libsysfs-dev libncurses5-dev libncursesw5-dev gettext python-dev xmlto libpulse0 libpulse-dev libspeex-dev libavcodec-dev libavformat-dev libavutil-dev libmpeg4ip-dev liba52-0.7.4-dev libsamplerate0-dev  linux-headers-`uname -r` libfltk1.1-dev

  3. #723
    Join Date
    Dec 2009
    Beans
    6
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: ALSA Upgrade Script

    After hours of configuring and installing and compiling, I got it finally to work:

    Manufacturer: HP-Pavilion
    Product Name: FL308AA-ABD IQ512de
    Kernel release: 2.6.32-21-generic
    Operating System: GNU/Linux
    Architecture: x86_64
    Distribution: Ubuntu lucid Beta 2
    Soundcard: HDA Intel (Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 04))
    Codec: Analog Devices AD1984B
    Alsa Driver version: 1.0.22.1
    Alsa Library version: 1.0.22
    Alsa Utilities version: 1.0.22

    Thanks for all the useful information.

  4. #724
    Join Date
    Jun 2007
    Beans
    11,488

    Re: ALSA Upgrade Script

    ALSA 1.0.23 is now released: http://www.alsa-project.org/main/ind...1.0.22_v1.0.23

    I just modified the following lines:
    Code:
    PACKAGE=1.0.23
    
    setpack () {
    DRIVER=alsa-driver-1.0.23
    FIRMWARE=alsa-firmware-1.0.23
    LIB=alsa-lib-1.0.23
    PLUGINS=alsa-plugins-1.0.23
    UTILS=alsa-utils-1.0.23
    TOOLS=alsa-tools-1.0.23
    OSS=alsa-oss-1.0.17
    }
    It built/installed successfully on Lucid
    Last edited by Temüjin; April 16th, 2010 at 09:24 PM.

  5. #725
    Join Date
    Oct 2007
    Beans
    668
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: ALSA Upgrade Script

    Neat. Maybe I'll give it another try. It didn't work out when I tried to upgrade to 1.0.22.

    If the 1.0.23 ALSA upgrade works, it won't do anything to PulseAudio, right? PulseAudio generally works fine for me, so I don't want to get rid of it. Still, it's good to have alternatives.
    Samsung Series 3 15.6" notebook (NP300-V5A-A02US)

  6. #726
    Join Date
    Jan 2008
    Beans
    183

    Re: ALSA Upgrade Script

    Quote Originally Posted by Temüjin View Post
    ALSA 1.0.23 is now released:...
    I just modified the following lines...
    It built/installed successfully on Lucid
    Thanks for the tip. I just tried it on Karmic with your changes, and while it referred to 1.0.23 hundreds of times during the build/install, after I reboot and then "cat /proc/asound/version", I still get 1.0.22.1.

    Does your build report 1.0.23?

  7. #727
    Join Date
    Apr 2010
    Beans
    2

    Re: ALSA Upgrade Script

    First of all, thank you very much for this! I've been having my sound coming from speakers AND headphones with no solution for a while now.

    Second, I'm an Ubuntu newbie, so seeing all those lines flying by on the terminal during download, compilation and installation was daunting to say the least. This is an amazing piece of work, so thanks again!

  8. #728
    Join Date
    Jun 2006
    Location
    Buenos Aires, Argentina
    Beans
    122
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: ALSA Upgrade Script

    Quote Originally Posted by yonkiman View Post
    Thanks for the tip. I just tried it on Karmic with your changes, and while it referred to 1.0.23 hundreds of times during the build/install, after I reboot and then "cat /proc/asound/version", I still get 1.0.22.1.

    Does your build report 1.0.23?
    FWIW, I did the same on my hardy system (I had previously edited the script so it wouldn't install all the drivers) and it worked just fine, and yes, "cat /proc/asound/version" does yeld 1.0.23.

    You did edit all the lines in the setpack() function of the script, did you?
    Mariano Absatz - "el baby" (clueless...)
    Linux User #479955 Ubuntu user #24300
    Nostalgia: The good old days multiplied by a bad memory...
    This message transmitted on 100% recycled electrons

  9. #729
    Join Date
    Jun 2007
    Beans
    11,488

    Re: ALSA Upgrade Script

    Quote Originally Posted by yonkiman View Post
    Does your build report 1.0.23?
    Yes, both 'cat /proc/asound/version' and alsamixer report 1.0.23

  10. #730
    Join Date
    Aug 2006
    Beans
    110

    Re: ALSA Upgrade Script

    Quote Originally Posted by Temüjin View Post
    You should start over from the beginning, or at least, manually run the command to get the dependencies and then run the building/compilation phase again:
    Code:
    sudo apt-get -y install bzip2 build-essential module-assistant libsysfs-dev libncurses5-dev libncursesw5-dev gettext python-dev xmlto libpulse0 libpulse-dev libspeex-dev libavcodec-dev libavformat-dev libavutil-dev libmpeg4ip-dev liba52-0.7.4-dev libsamplerate0-dev  linux-headers-`uname -r` libfltk1.1-dev
    Thanks for the help. The install finished with no errors. I still do not have sound. Ran speaker-test -Dplughw:0,0 -c2 and alsamixer to make sure nothing was muted.

    also ran:
    cat /proc/asound/version
    Advanced Linux Sound Architecture Driver Version 1.0.22.1.
    Compiled on Mar 25 2010 for kernel 2.6.31-21-generic (SMP).

    I edited the script as per the above post and 1.0.22.1 is installed instead of 1.0.23.

    I'll try again.

Page 73 of 124 FirstFirst ... 2363717273747583123 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •